local actions = require('telescope.actions')

local mappingTab = {
  i = {
    ['<cr>'] = actions.select_tab,
    ['<C-b>'] = actions.select_default,
  }
}

require('telescope').setup {
  defaults = {
    mappings = {
      i = {
        ['<esc>'] = actions.close,
        ['<cr>'] = actions.select_default + actions.center,
        ['<C-l>'] = actions.send_selected_to_loclist,
        ['<C-q>'] = actions.smart_send_to_qflist
      }
    }
  },
  pickers = {
    -- Your special builtin config goes in here
    buffers = {
      sort_lastused = true,
      previewer = false,
      theme = 'dropdown',
      mappings = {
        i = {
          ['<c-w>'] = actions.delete_buffer,
          ['<cr>'] = actions.select_default,
        },
        n = {
          ['<c-w>'] = actions.delete_buffer,
        }
      }
    },
    find_files = {
      mappings = mappingTab
    },
    oldfiles = {
      mappings = mappingTab
    },
    git_files = {
      mappings = mappingTab
    },
    lsp_dynamic_workspace_symbols = {
      mappings = mappingTab
    },
  }
}
